#
# spec file for package gdbm (Version 1.8.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gdbm
Prefix:       /usr
Copyright:    GPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      1.8.0
Release:      391
Summary:      GNU database routines
Source: ftp://prep.ai.mit.edu/gnu/gdbm/gdbm-1.8.0.tar.gz
Source1: ftp://prep.ai.mit.edu/gnu/gdbm/gdbm-1.7.3.tar.gz
Patch: gdbm-1.8.0.dif
Patch1: gdbm-1.7.3.dif
BuildRoot: %{_tmppath}/gdbm-root

%description
Static and dynamic library for the GNU database routines.

Authors:
--------
    Jason Downs <downsj@downsj.com>
    Phil Nelson <phil@unicorn.wwu.edu>

SuSE series: a

%package devel
Summary:      Development libraries and header files for the gdbm library
Group:        Development/Libraries
Requires:     gdbm
Provides:     gdbm:/usr/lib/libgdbm.so
Autoreqprov:  on

%description devel
This package contains the development libraries and header files for
gdbm, the GNU database system.

Authors:
--------
    Jason Downs <downsj@downsj.com>
    Phil Nelson <phil@unicorn.wwu.edu>

SuSE series: d

%prep
%setup -b 1
%patch
cd ../gdbm-1.7.3
%patch -P 1

%build
%{suse_update_config -f}
%ifarch sparc64
export CC="gcc -m64"
%endif
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --libdir=%{_libdir}
make
%ifnarch sparc64 ia64
cd ../gdbm-1.7.3
%{suse_update_config -f}
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix}
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-compat DESTDIR=$RPM_BUILD_ROOT
%ifnarch sparc64 ia64
cd ../gdbm-1.7.3
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf libgdbm.so.1.7.3 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgdbm.so.1
chmod a+x $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgdbm.so.1*
%endif
ln -sf libgdbm.so $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libndbm.so
ln -sf libgdbm.a $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libndbm.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README NEWS
%ifnarch sparc64 ia64
%{_prefix}/%{_lib}/libgdbm.so.1
%{_prefix}/%{_lib}/libgdbm.so.1.7.3
%endif
%{_prefix}/%{_lib}/libgdbm.so.2
%{_prefix}/%{_lib}/libgdbm.so.2.0.0

%files devel
%{_prefix}/include/dbm.h
%{_prefix}/include/gdbm.h
%{_prefix}/include/ndbm.h
%doc %{_infodir}/gdbm.info.gz
%{_prefix}/%{_lib}/libgdbm.a
%{_prefix}/%{_lib}/libgdbm.so
%{_prefix}/%{_lib}/libgdbm.la
%{_prefix}/%{_lib}/libndbm.a
%{_prefix}/%{_lib}/libndbm.so
%doc %{_mandir}/man3/gdbm.3.gz

%changelog -n gdbm
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Oct 27 2000 - kukuk@suse.de
- Create devel subpackage
* Mon Sep 25 2000 - kukuk@suse.de
- Use BuildRoot
* Thu Jun 01 2000 - kukuk@suse.de
- Add group tag
* Tue Apr 04 2000 - kukuk@suse.de
- Add ltconfig fix
* Tue Apr 04 2000 - kukuk@suse.de
- Add automake to need for build
* Mon Apr 03 2000 - bk@suse.de
- s390 team added config.{sub,guess} update macros for s390
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 21 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Oct 18 1999 - kukuk@suse.de
- gdbm 1.8.0: Fix memory leak
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - kukuk@suse.de
- Fix file list
* Thu Aug 26 1999 - kukuk@suse.de
- Add libgdbm 1.8.0 as default
* Mon Jun 28 1999 - kukuk@suse.de
- Add libndbm.so and libndbm.a link
* Mon Mar 01 1999 - ro@suse.de
- added ndbm.h for glibc-2.1
* Mon Feb 22 1999 - ro@suse.de
- link explicitly with -lc
* Fri Dec 18 1998 - ro@suse.de
- respect alpha in specfile
* Mon Dec 07 1998 - ro@suse.de
- pack ndbm.h only for libc5
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
* Thu Jan 02 1997 - florian@suse.de
- add ndbm.h header files
